升级xserver-xorg不成功?

为当前最终发行版之前的所有版本提供支持
回复
头像
Jeff-cao
帖子: 370
注册时间: 2006-01-02 0:12
送出感谢: 0
接收感谢: 0

升级xserver-xorg不成功?

#1

帖子 Jeff-cao » 2006-03-25 8:03

提示如下错误,请大侠们帮小弟看一下。谢谢了。
xserver-xorg
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 0B/97.2kB 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
/tmp/xserver-xorg.config.55731: line 957: syntax error near unexpected token `esac'
预设定 xserver-xorg 失败,退出状态为 2
(正在读取数据库 ... 系统当前总共安装有 70872 个文件和目录。)
正预备替换 xserver-xorg 7.0.0-0ubuntu18 (使用 .../xserver-xorg_7.0.0-0ubuntu24_all.deb) ...
/var/lib/dpkg/tmp.ci/config: line 957: syntax error near unexpected token `esac'dpkg:处理 /var/cache/apt/archives/xserver-xorg_7.0.0-0ubuntu24_all.deb (--unpack)时出错:
子进程·pre-installation script·返回了错误号·2
在处理时有错误发生:
/var/cache/apt/archives/xserver-xorg_7.0.0-0ubuntu24_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
头像
oneleaf
论坛管理员
帖子: 10229
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 103 次

#2

帖子 oneleaf » 2006-03-25 9:04

这个是bug来着,正在修复。
手工解决如下:

cd ~
dpkg-deb --extract /var/cache/apt/archives/xserver-xorg_7.0.0-0ubuntu24_all.deb xserver-xorg_7.0.0-0ubuntu24_all

dpkg-deb --control /var/cache/apt/archives/xserver-xorg_7.0.0-0ubuntu24_all.deb xserver-xorg_7.0.0-0ubuntu24_all/DEBIAN

vim xserver-xorg_7.0.0-0ubuntu24_all/DEBIAN/config

屏蔽 957 行。修改为:
# esac

dpkg-deb --build xserver-xorg_7.0.0-0ubuntu24_all
sudo dpkg -i xserver-xorg_7.0.0-0ubuntu24_all.deb
头像
Jeff-cao
帖子: 370
注册时间: 2006-01-02 0:12
送出感谢: 0
接收感谢: 0

#3

帖子 Jeff-cao » 2006-03-25 10:17

谢谢大哥!
回复

回到 “老旧版本支持”